Foxit PDF Conversion SDK

Static Public Member Functions | List of all members
FoxitPDFConversionSDKPython2.PDF2Office Class Reference
Inheritance diagram for FoxitPDFConversionSDKPython2.PDF2Office:

## Static Public Member Functions
def | StartConvertToExcel (src_pdf_path, src_pdf_password, saved_excel_file_path, setting_data, convert_callback)
| Start to convert a PDF file to a Excel format file. More...
def | StartConvertToExcel (src_pdf_reader, src_pdf_password, saved_excel_file_stream, setting_data, convert_callback)
| Start to convert a PDF file to a Excel format file. More...
def | StartConvertToPowerPoint (src_pdf_path, src_pdf_password, saved_ppt_file_path, setting_data, convert_callback)
| Start to convert a PDF file to a PowerPoint format file. More...
def | StartConvertToPowerPoint (src_pdf_reader, src_pdf_password, saved_ppt_file_stream, setting_data, convert_callback)
| Start to convert a PDF file to a PowerPoint format file. More...
def | StartConvertToWord (src_pdf_path, src_pdf_password, saved_word_file_path, setting_data, convert_callback)
| Start to convert a PDF file to a Word format file. More...
def | StartConvertToWord (src_pdf_reader, src_pdf_password, saved_word_file_stream, setting_data, convert_callback)
| Start to convert a PDF file to a Word format file. More...

## Detailed Description

This class can be used to convert PDF files to Office(Word, Excel or PowerPoint) format files. Before using "Conversion" module, please ensure the resource folder named "res" in the PDF Conversion SDK package is valid. Before using methods in this module, please ensure Foxit PDF Conversion SDK has been initialized successfully by function FoxitPDFConversionSDKPython2.Library.Initialize with a key including "PDF2Office" module.

See also
  FoxitPDFConversionSDKPython2.Library

## Member Function Documentation

## ◆ StartConvertToExcel() [1/2]

FoxitPDFConversionSDKPython2.PDF2Office.StartConvertToExcel | ( |  | src_pdf_path,
|  |  | src_pdf_password,
|  |  | saved_excel_file_path,
|  |  | setting_data,
|  |  | convert_callback
| ) |  |
| static

Start to convert a PDF file to a Excel format file.

Currently only support converting to XLSX format file.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_excel_file_path | Path of the saved Excel format file as conversion result. This should not be an empty string. If the suffix name of the saved Excel format file is not "xlsx", a new suffix named "xlsx" will be added to the original file name.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A FoxitPDFConversionSDKPython2.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid FoxitPDFConversionSDKPython2.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFConversionSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFConversionSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

Note
  If module "PDF2Office" is not defined in the license information which is used in function FoxitPDFConversionSDKPython2.Library.Initialize , that means user has no right in using this function and this function will throw exception FoxitPDFConversionSDKPython2.e_ErrNoPDF2OfficeModuleRight .

## ◆ StartConvertToExcel() [2/2]

FoxitPDFConversionSDKPython2.PDF2Office.StartConvertToExcel | ( |  | src_pdf_reader,
|  |  | src_pdf_password,
|  |  | saved_excel_file_stream,
|  |  | setting_data,
|  |  | convert_callback
| ) |  |
| static

Start to convert a PDF file to a Excel format file.

Currently only support converting to XLSX format file.

Parameters

  [in] | src_pdf_reader | A FileReaderCallback object which is implemented by user to load a PDF document. It should not be null.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_excel_file_stream | A FoxitPDFConversionSDKPython2.StreamCallback object which is implemented by user to read the contents of the converted Excel format file. It should not be null.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A FoxitPDFConversionSDKPython2.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid FoxitPDFConversionSDKPython2.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFConversionSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFConversionSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

Note
  If module "PDF2Office" is not defined in the license information which is used in function FoxitPDFConversionSDKPython2.Library.Initialize , that means user has no right in using this function and this function will throw exception FoxitPDFConversionSDKPython2.e_ErrNoPDF2OfficeModuleRight .

## ◆ StartConvertToPowerPoint() [1/2]

FoxitPDFConversionSDKPython2.PDF2Office.StartConvertToPowerPoint | ( |  | src_pdf_path,
|  |  | src_pdf_password,
|  |  | saved_ppt_file_path,
|  |  | setting_data,
|  |  | convert_callback
| ) |  |
| static

Start to convert a PDF file to a PowerPoint format file.

Currently only support converting to PPTX format file.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_ppt_file_path | Path of the saved PowerPoint format file as conversion result. This should not be an empty string. If the suffix name of the saved PowerPoint format file is not "pptx", a new suffix named "pptx" will be added to the original file name.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A FoxitPDFConversionSDKPython2.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid FoxitPDFConversionSDKPython2.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFConversionSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFConversionSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

Note
  If module "PDF2Office" is not defined in the license information which is used in function FoxitPDFConversionSDKPython2.Library.Initialize , that means user has no right in using this function and this function will throw exception FoxitPDFConversionSDKPython2.e_ErrNoPDF2OfficeModuleRight .

## ◆ StartConvertToPowerPoint() [2/2]

FoxitPDFConversionSDKPython2.PDF2Office.StartConvertToPowerPoint | ( |  | src_pdf_reader,
|  |  | src_pdf_password,
|  |  | saved_ppt_file_stream,
|  |  | setting_data,
|  |  | convert_callback
| ) |  |
| static

Start to convert a PDF file to a PowerPoint format file.

Currently only support converting to PPTX format file.

Parameters

  [in] | src_pdf_reader | A FileReaderCallback object which is implemented by user to load a PDF document. It should not be null.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_ppt_file_stream | A FoxitPDFConversionSDKPython2.StreamCallback object which is implemented by user to read the contents of the converted PowerPoint format file. It should not be null.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A FoxitPDFConversionSDKPython2.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid FoxitPDFConversionSDKPython2.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFConversionSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFConversionSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

Note
  If module "PDF2Office" is not defined in the license information which is used in function FoxitPDFConversionSDKPython2.Library.Initialize , that means user has no right in using this function and this function will throw exception FoxitPDFConversionSDKPython2.e_ErrNoPDF2OfficeModuleRight .

## ◆ StartConvertToWord() [1/2]

FoxitPDFConversionSDKPython2.PDF2Office.StartConvertToWord | ( |  | src_pdf_path,
|  |  | src_pdf_password,
|  |  | saved_word_file_path,
|  |  | setting_data,
|  |  | convert_callback
| ) |  |
| static

Start to convert a PDF file to a Word format file.

Currently only support converting to DOCX format file. This function supports the identification of headings in PDF documents and converts them into Word documents. Currently, the headings conversion is still in beta and will be further improved in subsequent versions.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_word_file_path | Path of the saved Word format file as conversion result. This should not be an empty string. If the suffix name of the saved Word format file is not "docx", a new suffix named "docx" will be added to the original file name.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A FoxitPDFConversionSDKPython2.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid FoxitPDFConversionSDKPython2.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFConversionSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFConversionSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

Note
  If module "PDF2Office" is not defined in the license information which is used in function FoxitPDFConversionSDKPython2.Library.Initialize , that means user has no right in using this function and this function will throw exception FoxitPDFConversionSDKPython2.e_ErrNoPDF2OfficeModuleRight .

## ◆ StartConvertToWord() [2/2]

FoxitPDFConversionSDKPython2.PDF2Office.StartConvertToWord | ( |  | src_pdf_reader,
|  |  | src_pdf_password,
|  |  | saved_word_file_stream,
|  |  | setting_data,
|  |  | convert_callback
| ) |  |
| static

Start to convert a PDF file to a Word format file.

Currently only support converting to DOCX format file. This function supports the identification of headings in PDF documents and converts them into Word documents. Currently, the headings conversion is still in beta and will be further improved in subsequent versions.

Parameters

  [in] | src_pdf_reader | A FileReaderCallback object which is implemented by user to load a PDF document. It should not be null.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_word_file_stream | A FoxitPDFConversionSDKPython2.StreamCallback object which is implemented by user to read the contents of the converted Word format file. It should not be null.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A FoxitPDFConversionSDKPython2.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid FoxitPDFConversionSDKPython2.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFConversionSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFConversionSDKPython2.Progressive.Continue to continue the progress until the progress is finished..

Note
  If module "PDF2Office" is not defined in the license information which is used in function FoxitPDFConversionSDKPython2.Library.Initialize , that means user has no right in using this function and this function will throw exception FoxitPDFConversionSDKPython2.e_ErrNoPDF2OfficeModuleRight .